void ReadBlendTable()
{
	FILE *dat;
	char aux[128];
	char nom[128];
	nBlends=0;
	
	if(!Transparency)
		return;

	if(stricmp(TransFile,"CONFIG\\NONE.BLD")==0 || TransFile[0]==0)
		return;

	dat=fopen(TransFile,"rt");
	if(!dat)	//Try with game parent name
	{
		strcpy(nom,gameplay);
		if(Roms[Selected].Parent[0])
			strcpy(nom,Roms[Selected].Parent);
		if(strnicmp(nom,"CONFIG\\SSF2T.BLD",5)==0)
			strcpy(nom,"ssf2t");
		
		FindNextName(nom);
		//sprintf(aux,"CONFIG\\%s.BLD",nom);
		dat=fopen(TransFile,"rt");
		if(!dat)
			return;
	}
	


	ConsoleMessage("Reading sprite transparency tables\n");
	while(!feof(dat))
	{
		int code,type,pal;
		char *po;
		int t;
		int min,max;
		fgets(aux,100,dat);
		code=0;
		pal=0;
		if(aux[0]==';' || aux[0]>'F')
			continue;
		if(po=strchr(aux,'-'))
		{
			*po=0;
			++po;
			sscanf(aux,"%x",&min);
			if(sscanf(po,"%x %d %d",&max,&type,&pal)<2)
				continue;
		}
		else
		{
			if(sscanf(aux,"%x %d %d",&max,&type,&pal)<2)
				continue;
			min=max;
		}

		type&=0x3;

		if(ForceTrans && type)
			type=ForceTrans;



		if(type==0)
			t=OPAQUETILE;
		else if(type==1)
			t=ALPHA25;
		else if(type==2)
			t=ALPHA50;
		else if(type==3)
			t=REPEAT50;
		else
			continue;
		for(int c=min;c<=max;++c)
			TransSprites[c]=t|(pal<<3);
	}
	fclose(dat);
}
